{% extends 'base.html' %}

{% block title %}
{{ super() }}
Dashboard
{% endblock title %}

{% block main %}
<div class="dashboard-container">
    <h2 class="dashboard-title">
        Welcome {{ username | capitalize}}
    </h2>
    <p>
        Find great organizations that are looking for volunteers
    </p>
    <div class="dashboard-opportunities-container">
        {% for opportunity in opportunities %}
        <a href="{{ url_for('opportunity', opportunity_id=opportunity.id) }}">
            <div class="dashboard-opportunity-card">
                <b>{{ opportunity.name}}</b>
                {{ opportunity.location}}
                <div class="align-center">
                    <span class="material-symbols-outlined">
                        calendar_month
                    </span>
                    {{ opportunity.date}}
                </div>
            </div>
        </a>
        {% endfor %}
    </div>
</div>
{% endblock main %}